Bug 238602 - dns/powerdns-recursor: Update to 4.1.14
Summary: dns/powerdns-recursor: Update to 4.1.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://doc.powerdns.com/recursor/cha...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-16 09:17 UTC by Ralf van der Enden
Modified: 2019-06-30 20:18 UTC (History)
1 user (show)

See Also:


Attachments
Update to PowerDNS Recursor 4.1.14 (2.92 KB, patch)
2019-06-16 09:17 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-06-16 09:17:58 UTC
Created attachment 205109 [details]
Update to PowerDNS Recursor 4.1.14

The changelog:

#7906: Add statistics counters for AD and CD queries.
#7912: Add missing getRegisteredName Lua function.

Buildlog: https://pkg.cainites.net/data/latest-per-pkg/powerdns-recursor/4.1.14/freebsd_12x64-system.log
Comment 1 Ralf van der Enden 2019-06-16 09:21:17 UTC
I formatted the Makefile using ports-mgmt/Makefile which accounts for the other changes to the Makefile.
Comment 2 Ralf van der Enden 2019-06-16 09:22:03 UTC
Damn typo. I ofcourse meant ports-mgmt/portfmt
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-16 09:32:31 UTC
Hi Ralf, thanks for the update including QA. 

A few administrative tips:

Feature updates (unless they're also security updates) are always "Affects Only Me" in the sense that it "affects the maintainer", who aims to update the port, the class of the issue.

Build logs are not required, unless they are requested by someone first. Instead you can confirm QA in your comment as follows:

portlint: OK (looks fine.)
testport: OK (poudriere: <versions>, <archs>, <OPTIONS> tested)

If you can provide a changelog URL for version updates, please do so in the URL: field, pointing to an upstream URL that is a permalink (ie; its contents doesn't change over time) to the changes for that version. If it includes previous versions too that's fine.

When providing logs, or anything else which is a large body of text/data, use attachments instead of external URL's, which can become stale or go missing entirely over time.

It's better if all information is completely self-contained and available in the issue.
Comment 4 Ralf van der Enden 2019-06-17 08:01:13 UTC
Thanks for the feedback Kubilay. Youyr information is new to me so I'll make notes and hopefully the next PR will be more conform the standards you mentioned.
Comment 5 Dani 2019-06-24 09:30:04 UTC
Could someone commit this please? :)
Comment 6 commit-hook freebsd_committer 2019-06-30 20:17:51 UTC
A commit references this bug:

Author: swills
Date: Sun Jun 30 20:16:57 UTC 2019
New revision: 505475
URL: https://svnweb.freebsd.org/changeset/ports/505475

Log:
  dns/powerdns-recursor: Update to 4.1.14

  PR:		238602
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
Comment 7 Steve Wills freebsd_committer 2019-06-30 20:18:09 UTC
Committed, thanks!